File python-nautilus.changes of Package python-nautilus

-------------------------------------------------------------------
Wed May  9 07:25:45 UTC 2012 - vuntz@opensuse.org

- Explicitly add missing typelib(Nautilus) Requires: we can't use
  the automatic typelib() Requires generator since this python
  module is written in C.

-------------------------------------------------------------------
Fri Dec  2 16:00:15 UTC 2011 - coolo@suse.com

- add libtool as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Mon Oct 17 20:48:14 CEST 2011 - dimstar@opensuse.org

- Update to version 1.1:
  + Added pygobject3 compatibility, and retained pygobject 2.28.x
    compatibility.
  + Bugs fixed: bgo#660290, bgo#660288, bgo#660287, bgo#660286,
    bgo#660283, bgo#653169.
- Drop patches that have been merged upstream:
  + python-nautilus-fix-path-in-pc.patch
  + python-nautilus-fix-warnings.patch
  + python-nautilus-no-extension-on-failure.patch
  + python-nautilus-pygobject-3.0.patch

-------------------------------------------------------------------
Wed Sep 28 17:53:13 UTC 2011 - vuntz@opensuse.org

- Port to pygobject 3.0:
  + Add nautilus-python-pygobject-3.0.patch: do the port :-)
  + Change pkgconfig(pygobject-2.0) BuildRequires to
    pkgconfig(pygobject-3.0).
  + Add call to autoreconf, needed for the patch.
- Use a build_doc macro to decide whether to build the
  documentation. It controls the following:
  + Use of gtk-doc BuildRequires.
  + Use of --disable-gtk-doc or --enable-gtk-doc option passed to
    configure.
- Set build_doc macro to 0 as the documentation build currently
  requires the old pygobject.
- Add python-nautilus-fix-warnings.patch: fix various warnings in
  the build.
- Add python-nautilus-no-extension-on-failure.patch: do not load
  extensions on initialization failures.

-------------------------------------------------------------------
Wed Jun 22 14:20:50 UTC 2011 - malcolmlewis@opensuse.org

- Fix /usr/share/nautilus-python directories not owned by a
  package.
- Update spec file Licence field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.

-------------------------------------------------------------------
Fri Jun 17 04:19:57 CEST 2011 - vuntz@opensuse.org

- Add python-nautilus-fix-path-in-pc.patch to fix the pkg-config
  file to refer to the right extension directory, now that it
  changed.

-------------------------------------------------------------------
Sat May 28 01:27:26 CEST 2011 - vuntz@opensuse.org

- Update dependencies after move to gobject introspection:
  + Remove python-gnome-devel, python-gtk-devel BuildRequires,
    python-gtk Requires from main package, and python-gtk-devel
    Requires from devel subpackage.
  + Add pkgconfig(pygobject-2.0) BuildRequires and python-gobject
    Requires.
- Change nautilus-devel BuildRequires to
  pkgconfig(libnautilus-extension).
- Drop unneeded python-gobject2-doc BuildRequires.
- Fix license tag: the code is GPLv2+ (and not LGPLv2+).
- Stop creating %{_libdir}/nautilus/extensions-2.0/python directory
  as extensions there are not considered anymore.

-------------------------------------------------------------------
Sun May 22 21:07:39 CEST 2011 - dimstar@opensuse.org

- Update to version 1.0:
  + Use the gobject instrospection dynamic bindings, breaks
    compatibility for existing extensions.
  + For Nautilus3, the get_toolbar_items methods have been removed.
  + No longer look in the old ~/.nautilus/python-extensions or
    /usr/lib/nautilus/extensions2.0/python folders for extensions.
    Now look in ~/.local/share/nautilus-python/extensions or
    $XDG_DATA_DIR/nautilus-python/extensions.
  + Updated the gtk-doc documentation and examples to work with new
    dynamic bindings.

-------------------------------------------------------------------
Mon May  2 19:11:03 CEST 2011 - dimstar@opensuse.org

- Update to version 0.7.3:
  + Use PyCapsule_Import for pygobject as well as pygtk
  + bgo#644399: in the property page example plugin, get the md5sum
    of the file contents, not the file name
  + Removed extraneous .cvsignore files
  + Fixed the update-file-info-async example plugin.

-------------------------------------------------------------------
Mon Mar 21 11:04:20 CET 2011 - dimstar@opensuse.org

- Update to version 0.7.2:
  + Fix to get the PyCapsule patch to work even if there is no
    PyCapsule object set up for pygtk
- Changes from version 0.7.1:
  + bgo#619440: Fixed AM_CHECK_PYTHON_LIBS usage of test
  + Cleaned up the docs Makefile.am to make it more consistent
  + Fix some python3 syntax issues in the python.m4 script
  + bgo#633171: Add python 2.7 support.

-------------------------------------------------------------------
Fri Jan  7 09:29:10 CET 2011 - vuntz@opensuse.org

- Create and own %{_datadir}/nautilus-python/extensions since
  extensions can be installed there now.

-------------------------------------------------------------------
Sun Aug  8 16:34:32 CEST 2010 - vuntz@opensuse.org

- Pass --enable-gtk-doc to configure, and add gtk-doc and
  python-gobject2-doc BuildRequires to build the API docs.

-------------------------------------------------------------------
Mon Jun 21 14:55:03 CEST 2010 - dimstar@opensuse.org

- Update to version 0.7.0:
  + Added methods:
    - nautilus.InfoProvider.update_file_info_full
    - nautilus.InfoProvider.update_complete_invoke
    - nautilus.InfoProvider.cancel_update
    - nautilus.MenuProvider.get_file_items_full
    - nautilus.MenuProvider.get_background_items_full
    - nautilus.MenuProvider.get_toolbar_items_full
    -nautilus.MenuProvider.emit_items_updated_signal
  + Added complete gtk-doc documentation: tutorial and reference.
    Enable by adding the --enable-gtk-doc argument to ./configure
    or ./autogen.sh
  + Updated the autogen.sh file so it is not a copied-over obsolete
    version of gnome-autogen.sh, but a shell that calls the user's
    installed gnome-autogen.sh.
  + Removed obsolete .spec file
  + Removed obsolete examples/documentation.py file
  + Added an example plugin for the LocationWidgetProvider
  + Look for python plugins in
    $XDG_DATA_DIR/nautilus-python/extensions.
    This includes ~/.local/share and /usr/share (or whatever
    $XDG_DATA_DIR is set to).

-------------------------------------------------------------------
Tue Jan 19 23:21:38 CET 2010 - vuntz@opensuse.org

- Update to version 0.6.1:
  + Look for libpython2.6.so.1.0 instead of libpython2.6.so, the
    latter is general available from -devel packages only.
  + Re-added the missing spec and pc files
  + Free pygobject data directly after using file objects. Stops
    seg faults from occurring when nautilus wants to free pygobject
    data after Py_Finalize() is called.

-------------------------------------------------------------------
Fri Jan 15 23:19:23 CET 2010 - vuntz@opensuse.org

- Update to version 0.6.0:
  + Remove eel dependency
  + Sanitize python search path
  + Remove gnomevfs dependency and unused code
  + Load python from lib64 in 64 bit multilib distributions
  + Fix segfault when a plugin doesn't implement the __init__
    method
  + Added the can_write, get_mount, get_file_type, get_location,
    and get_parent_location methods to the NautilusFileInfo object
  + Added the NautilusMenu.get_items method
  + Updated some example plugins
  + Bug fix for some PyThreadState_New segmentation faults
  + Use the nautilus prefix by default for distfiles, rather than
    /usr
  + Require nautilus-2.22 and pygobject-2.16 now that we support
    GIO
- Drop python-nautilus-no-libeel.patch: fixed upstream.
- Drop python-nautilus-no-gnomevfs.patch: fixed upstream.
- Drop python-nautilus-autoreconf-m4.patch: not needed anymore,
  since we can remove the autoreconf call now.

-------------------------------------------------------------------
Sun Jun 14 07:25:53 CEST 2009 - vuntz@novell.com

- Clean up package for Contrib.